package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.ListtestRepository;
import com.realnet.angulardatatype.Entity.Listtest
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class ListtestService {
@Autowired
private ListtestRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Listtest Savedata(Listtest data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Listtest save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Listtest> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Listtest> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Listtest> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Listtest getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Listtest update(Listtest data,Integer id) {
	Listtest old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

final Listtest test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
